Subject: Re: [mile] FW: New Version Notification for draft-montville-mile-enum-reference-format-00.txt

From: "Takeshi Takahashi" <[email-masked]>
Date: Wed, 10 Oct 2012 14:59:18 +0900

Hi Adam,

Thank you for posting the draft.
I like the IANA table that the draft will create, and the SCI draft should
be able to use the table as well.

Regarding the IANA table, you have "Version" in addition to "Name."
For this point. Let me ask you a clarification question.

If we have a specification of two different versions (for instance,
SampleSpec 1.0 and SampleSpec 2.0), does the IANA table prepare only one
identifier ("Name") for both of them? (case A)
Or, does the draft prepare two different identifiers (for SampleSpec 1.0 and
SampleSpec 2.0 respectively)?  (case B)

If it is the latter case (case B), I wonder whether we need "Version" entry
since the version information is included inside the identifier ("Name")

Just a clarification question, and I would be happy to hear your opinion on
this.

Thank you.
Take

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Adam Montville
> Sent: Friday, September 28, 2012 10:31 PM
> To: Moriarty, Kathleen; [email-masked]
> Subject: Re: [mile] FW: New Version Notification for
> draft-montville-mile-enum-reference-format-00.txt
> 
> On 9/28/12 6:19 AM, "Moriarty, Kathleen" <[email-masked]>
> wrote:
> 
> >Hi Adam,
> >
> >I am sorry for the confusion!  I was referring to the full value
> >contained in the "ReferenceName".
> 
> That makes more sense to me, sorry.  This is a great point, Kathleen.
> 
> >The example shows:
> >
> > <Reference>
> >         <ReferenceName>CXI:CXI-1234-XYZ</ReferenceName>
> >         <URL>http://cxi.example.com</URL>
> >         <Description>Foo</Description>
> >      </Reference>
> >
> >   Information in the IANA table (see Section 4) would include:
> >
> >      Name: Concept X Identifier
> >      Version: x.y
> >      Specification URI: http://cxi.example.com/spec_url
> >      Reference: Foo.
> >
> >
> >How would you get from the IANA table entry to what is included in the
> >example?    The name gets abbreviated.  Is the version part of the name
> >and a new version would be a new name?  How is the structure after the
> >colon formed?  What characters are permitted.
> 
> 
> I think I was taking the "Name" in the IANA table to be the identifier,
> rather than the full name (so, for example, "CPE" rather than "Common
> Platform Enumeration").  So, we could simply add an abbreviation to the
> IANA table, where the abbreviation would consist of lowercase
> alphabetical characters for the type identifier ("CXI" in the example
> above).
> 
> 
> The character limitations should be none, such that this method would
> not encumber any enumeration specification.  That said, I think it would
> be reasonable to make it alphanumeric with some punctuation (but I'd like
> to hear from the list as to what they think) - so essentially a string
> with some character restrictions.
> 
> As I mention above, I'd really like to hear from others on the list as
> to what they feel is best.
> 
> Thanks again for pointing this out.
> 
> 
> >
> >
> >Thank you,
> >Kathleen
> >
> >________________________________________
> >From: Adam Montville [[email-masked]]
> >Sent: Thursday, September 27, 2012 6:28 PM
> >To: Moriarty, Kathleen; [email-masked]
> >Subject: Re: [mile] FW: New Version Notification for
> >draft-montville-mile-enum-reference-format-00.txt
> >
> >On 9/27/12 6:17 AM, "Moriarty, Kathleen" <[email-masked]>
> >wrote:
> >
> >>Adam & MILE members,
> >>
> >>I read through the draft and think it looks great!  I did notice that
> >>the identifier format after the id: is not specified.  An example is
> >>provided, but am wondering if it would be helpful to provide an
> >>explicit format to help developers when formatting and parsing the
> content.
> >>
> >>Any thoughts - Adam or others on the MILE list?
> >
> >
> >Kathleen, thanks for reviewing the specification.  I think there's a
> >misunderstanding.  I'm looking at the id_type:id item described in 2.1.
> >The id in that item *is* the identifier, and it's format should be
> >explicitly defined by a document or available specification that would
> >be attainable from the registry (Specification URI).
> >
> >Does that help or are we talking about two different things?
> >
> >Adam
> >
> >
> >>
> >>Thank you!
> >>Kathleen
> >>________________________________________
> >>From: [email-masked] [[email-masked]] On Behalf Of
> >>Moriarty, Kathleen [[email-masked]]
> >>Sent: Wednesday, September 05, 2012 10:35 AM
> >>To: Adam Montville; [email-masked]
> >>Subject: Re: [mile] FW: New Version Notification for
> >>draft-montville-mile-enum-reference-format-00.txt
> >>
> >>Adam,
> >>
> >>Thank you very much for your work on this draft!
> >>
> >>MILE members: Please review and comment on the draft.
> >>
> >>Thank you!
> >>Kathleen
> >>________________________________________
> >>From: [email-masked] [[email-masked]] On Behalf Of Adam
> >>Montville [[email-masked]]
> >>Sent: Saturday, September 01, 2012 9:54 AM
> >>To: [email-masked]
> >>Subject: [mile] FW: New Version Notification for
> >>draft-montville-mile-enum-reference-format-00.txt
> >>
> >>On 9/1/12 6:46 AM, "[email-masked]"
> >><[email-masked]>
> >>wrote:
> >>
> >>>
> >>>A new version of I-D,
> >>>draft-montville-mile-enum-reference-format-00.txt
> >>>has been successfully submitted by Adam W. Montville and posted to
> >>>the IETF repository.
> >>>
> >>>Filename:       draft-montville-mile-enum-reference-format
> >>>Revision:       00
> >>>Title:          IODEF Enumeration Reference Format
> >>>Creation date:  2012-09-01
> >>>WG ID:          Individual Submission
> >>>Number of pages: 6
> >>>URL:
> >>>http://www.ietf.org/internet-drafts/draft-montville-mile-enum-ref
> eren
> >>>ce-
> >>>f
> >>>o
> >>>rmat-00.txt
> >>>Status:
> >>>http://datatracker.ietf.org/doc/draft-montville-mile-enum-referen
> ce-f
> >>>orm
> >>>a
> >>>t
> >>>Htmlized:
> >>>http://tools.ietf.org/html/draft-montville-mile-enum-reference-fo
> rmat
> >>>-00
> >>>
> >>>
> >>>Abstract:
> >>>   Some standards, such as the Incident Object Description Exchange
> >>>   Format [IODEF], provide classes used to reference external entities
> >>>   (such as enumeration identifiers).  At the time of
> standardization,
> >>>   however, needed references may not be known, and the method of
> >>>   external entity identification is often left unstructured.  This
> >>>   document describes, using [IODEF] as an example, a method to provide
> >>>   structure after the fact.
> >>>
> >>>
> >>>
> >>>
> >>>
> >>>
> >>>The IETF Secretariat
> >>>
> >>>
> >>>
> >>
> >>
> >>
> >>
> >>_______________________________________________
> >>mile mailing list
> >>[email-masked]
> >>https://www.ietf.org/mailman/listinfo/mile
> >>
> >>_______________________________________________
> >>mile mailing list
> >>[email-masked]
> >>https://www.ietf.org/mailman/listinfo/mile
> >>
> >>
> >>
> >
> >
> >
> >
> >
> >
> 
> 
> 
> 
> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile